VTK: vtkUnstructuredGridBunykRayCastFunction::Triangle Class Reference

| VTK 9.3.1

Public Attributes | List of all members
vtkUnstructuredGridBunykRayCastFunction::Triangle Class Reference

`#include <vtkUnstructuredGridBunykRayCastFunction.h>`

Collaboration diagram for vtkUnstructuredGridBunykRayCastFunction::Triangle:
[legend]

## Public Attributes
vtkIdType | PointIndex [3]
vtkIdType | ReferredByTetra [2]
double | P1X
double | P1Y
double | P2X
double | P2Y
double | Denominator
double | A
double | B
double | C
double | D
Triangle * | Next

## Detailed Description

Definition at line 95 of file vtkUnstructuredGridBunykRayCastFunction.h.

## Member Data Documentation

## ◆ PointIndex

vtkIdType vtkUnstructuredGridBunykRayCastFunction::Triangle::PointIndex[3]

Definition at line 98 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ ReferredByTetra

vtkIdType vtkUnstructuredGridBunykRayCastFunction::Triangle::ReferredByTetra[2]

Definition at line 99 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ P1X

double vtkUnstructuredGridBunykRayCastFunction::Triangle::P1X

Definition at line 100 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ P1Y

double vtkUnstructuredGridBunykRayCastFunction::Triangle::P1Y

Definition at line 100 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ P2X

double vtkUnstructuredGridBunykRayCastFunction::Triangle::P2X

Definition at line 101 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ P2Y

double vtkUnstructuredGridBunykRayCastFunction::Triangle::P2Y

Definition at line 101 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ Denominator

double vtkUnstructuredGridBunykRayCastFunction::Triangle::Denominator

Definition at line 102 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ A

double vtkUnstructuredGridBunykRayCastFunction::Triangle::A

Definition at line 103 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ B

double vtkUnstructuredGridBunykRayCastFunction::Triangle::B

Definition at line 103 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ C

double vtkUnstructuredGridBunykRayCastFunction::Triangle::C

Definition at line 103 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ D

double vtkUnstructuredGridBunykRayCastFunction::Triangle::D

Definition at line 103 of file vtkUnstructuredGridBunykRayCastFunction.h.

## ◆ Next

Triangle* vtkUnstructuredGridBunykRayCastFunction::Triangle::Next

Definition at line 104 of file vtkUnstructuredGridBunykRayCastFunction.h.

The documentation for this class was generated from the following file:

- Rendering/Volume/vtkUnstructuredGridBunykRayCastFunction.h